if Network:is_client() then
	return
end

Hooks:PostHook(HuskPlayerMovement, 'sync_attention_setting', 'STM#27305_HuskPlayerMovement_sync_attention_setting',
function(self, setting_name, state)
	if state then
		STM.jumping.husk = 'undef'
	end
end)

Hooks:PostHook(HuskPlayerMovement, 'sync_action_change_pose', 'STM#27305_HuskPlayerMovement_sync_action_change_pose',
function(self, pose_code)
	STM.ducking.husk = pose_code == 2
end)

Hooks:PostHook(HuskPlayerMovement, '_update_air_time', 'STM#27305_HuskPlayerMovement__update_air_time',
function(self)
	if managers.groupai:state():whisper_mode() and STM._settings.crouch_jump_realism then
		if STM.jumping.husk ~= self._in_air then
			if STM.ducking.husk == 'undef' then
				STM.ducking.husk = ((self._desired_pose_code and self._desired_pose_code) or self._pose_code) == 2
			end
			local preset_stand = {
				"pl_mask_on_foe_combatant_whisper_mode_stand",
				"pl_mask_on_foe_non_combatant_whisper_mode_stand"}
			local preset_crouch = {
				"pl_mask_on_foe_combatant_whisper_mode_crouch",
				"pl_mask_on_foe_non_combatant_whisper_mode_crouch"}
			if self._in_air then
				self:set_attention_settings(preset_stand, preset_crouch)
			else
				if STM.ducking.husk then
					self:set_attention_settings(preset_crouch, preset_stand)
				else
					self:set_attention_settings(preset_stand, preset_crouch)
				end
			end
			STM.jumping.husk = self._in_air
		end 
	end
end)

function HuskPlayerMovement:set_attention_settings(settings_list_add, settings_list_remove)
	for _, setting_name in ipairs(settings_list_add) do
		local setting_desc = tweak_data.attention.settings[setting_name]
		if setting_desc then
			local setting = self:_create_attention_setting_from_descriptor(setting_desc, setting_name)
			self._unit:movement():attention_handler():add_attention(setting)
		end
	end
	for _, setting_name in ipairs(settings_list_remove) do
		self._unit:movement():attention_handler():remove_attention(setting_name)
	end
end